Bug 247863 - TBa3421c35 securitylevel.py:576:checkDirty:AttributeError: FirewallWindow instance has no attribute 'applyButton'
TBa3421c35 securitylevel.py:576:checkDirty:AttributeError: FirewallWindow ins...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
: 250051 (view as bug list)
Depends On:
Blocks: F8Test1
  Show dependency treegraph
 
Reported: 2007-07-11 15:12 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 06:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-07-11 15:12:21 EDT
Description of problem:

Component: system-config-kickstart
Summary: TBa3421c35 securitylevel.py:576:checkDirty:AttributeError:
FirewallWindow instance has no attribute 'applyButton'

Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 273, in
security_changed_cb
    self.none_activated()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 214, in
none_activated
    self.setDirty(True)
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 570, in
setDirty
    self.checkDirty()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 576, in
checkDirty
    self.applyButton.set_sensitive(True)
AttributeError: FirewallWindow instance has no attribute 'applyButton'

Local variables in innermost frame:
self: <firewall.FirewallWindow instance at 0x15a64d0>
args: ()

Version-Release number of selected component (if applicable):

system-config-kickstart-2.7.7-2.fc8
Comment 1 Chris Lumens 2007-07-18 10:27:23 EDT
You're not guaranteed to always have an applyButton or okButton in
securitylevel.py:childWindow.  In instances where the dialog is wrapped in
another  window, these buttons will never have been pulled from the glade file.
 So in checkDirty, you probably want to add a block like this right at the
beginning:

        if not self.applyButton or not self.okButton:
            continue
Comment 2 Will Woods 2007-07-27 10:26:09 EDT
This needs a fix for F8t1. Anything we can do to help?
Comment 3 Thomas Woerner 2007-07-30 12:27:46 EDT
*** Bug 250051 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Woerner 2007-07-31 06:08:03 EDT
Fixed in rawhide in package system-config-securitylevel-1.7.0-4.fc8.

Note You need to log in before you can comment on or make changes to this bug.